#
# spec file for package file-roller (Version 2.12.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib desktop-translations diffutils docbook-xsl-stylesheets docbook_4 e2fsprogs eel esound esound-devel expat fam file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gail gawk gcc gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-desktop gnome-doc-utils gnome-filesystem gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-menus gnome-patch-translation gnome-vfs2 gnome-vfs2-devel gnome2-user-docs gnutls gnutls-devel gpm grep groff gtk2 gtk2-devel gzip hal hal-devel info insserv intltool kdelibs3 kdelibs3-doc klogd less libacl libart_lgpl libart_lgpl-devel libattr libbeagle libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libcroco libdrm libexif libgcc libgcrypt libgcrypt-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomesu libgnomeui libgnomeui-devel libgpg-error libgpg-error-devel libgsf libidn libjpeg libjpeg-devel libnscd libpng libpng-devel librsvg libstdc++ libtiff libtool libusb libwnck libwnck-devel libxcrypt libxml2 libxml2-devel libxml2-python libxslt libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools nautilus nautilus-devel ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils python qt3 rcs readline resmgr rpm scrollkeeper sed sgml-skel shared-mime-info startup-notification strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           file-roller
BuildRequires:  docbook-xsl-stylesheets gnome-doc-utils gnome-patch-translation gnutls-devel intltool kdelibs3-doc libglade2-devel libgnomeprintui-devel libwnck-devel mDNSResponder-devel nautilus-devel perl-XML-Parser scrollkeeper update-desktop-files
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
License:        GPL
Group:          System/GUI/GNOME
Autoreqprov:    on
Version:        2.12.2
Release:        22.6
Summary:        An Archive Manager for GNOME
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/file-roller/2.6/%{name}-%{version}.tar.bz2 
Source1:        file-roller.xml
Patch:          file-roller-ximian-defaults.patch
Patch1:         fr_59941.diff
Patch2:         file-roller-2.12.2-no-cmdline-overflow.patch
Patch3:         file-roller-186104-extract-to-dir.diff
URL:            http://fileroller.sourceforge.net
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Docdir:         %{_defaultdocdir}
PreReq:         filesystem /usr/bin/touch gconf2 shared-mime-info
Requires:       unrar unzip gzip bzip2

%description
File Roller is an archive manager for GNOME.  With it, you can create
and modify archives, view the contents of an archive, view a file
contained in the archive, and extract files from the archive. File
Roller is a front-end (a graphical interface) for archiving programs
like tar and zip. The supported file types are:

* Tar archives uncompressed (.tar) or compressed with

- gzip (.tar.gz, .tgz)

- bzip (.tar.bz, .tbz)

- bzip2 (.tar.bz2, .tbz2)

- compress (.tar.Z, .taz)

- lzop (.tar.lzo, .tzo)

* Zip archives (.zip)

* Jar archives (.jar, .ear, .war)

* Lha archives (.lzh)

* Rar archives (.rar)

* Single files compressed with gzip, bzip, bzip2, compress, lzop



Authors:
--------
    Paolo Bacchilega <paolo.bacch@tin.it>
    Claudio Bley <bley@cs.uni-magdeburg.de>

%debug_package
%prep
%setup -q
gnome-patch-translation-prepare
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
gnome-patch-translation-update

%build
rename no nb po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure.in > configure.in.tmp && mv configure.in.tmp configure.in
autoreconf -i -f
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure \
    --prefix=%prefix \
    --sysconfdir=%sysconfdir \
    --datadir=%prefix/share \
    --localstatedir=/var/lib \
    --with-kde-datadir=/opt/kde3/share \
    --libdir=%prefix/%_lib \
    --disable-scrollkeeper
export LIBRARY_PATH=/opt/gnome/%_lib 
make

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make DESTDIR=$RPM_BUILD_ROOT install
unset  GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
%suse_update_desktop_file -N "File Roller" -G "Archive Manager" %name Archiving
for xml in $RPM_BUILD_ROOT%{prefix}/share/gnome/help/file-roller/*/file-roller.xml; do
    meinproc --check --cache `echo $xml | sed 's/xml$/cache.bz2/'` $xml || :
done
mkdir -p $RPM_BUILD_ROOT/usr/share/mime/packages
cp %{S:1} $RPM_BUILD_ROOT/usr/share/mime/packages
# DESTDIR=$RPM_BUILD_ROOT mime-info-to-mime
rm $RPM_BUILD_ROOT%{prefix}/%{_lib}/nautilus/extensions-1.0/*.*a
rm $RPM_BUILD_ROOT%{prefix}/%{_lib}/bonobo/*.*a

%post
touch var/adm/SuSEconfig/run-scrollkeeper-update
usr/bin/update-mime-database /usr/share/mime >/dev/null
export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source`
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/file-roller.schemas >/dev/null

%postun
touch var/adm/SuSEconfig/run-scrollkeeper-update
usr/bin/update-mime-database /usr/share/mime >/dev/null

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS NEWS README COPYING
%{prefix}/share/applications/*.desktop
%{prefix}/share/gnome/help/file-roller
# %{prefix}/share/file-roller/glade/*.glade
%{prefix}/%_lib/bonobo/libfile-roller*
%{prefix}/%_lib/bonobo/servers/*.server
%{prefix}/%_lib/nautilus
%{prefix}/share/file-roller
%{prefix}/share/application-registry/*.applications
%{prefix}/share/mime-info/*
%{prefix}/share/locale/*/LC_MESSAGES/*.mo
%{prefix}/share/pixmaps/*.png
%{prefix}/bin/file-roller
%{prefix}/share/omf/file-roller
%{sysconfdir}/gconf/schemas/file-roller.schemas
/usr/share/mime/packages/*.xml

%changelog -n file-roller
* Mon Jun 19 2006 - federico@novell.com
- Added file-roller-186104-extract-to-dir.diff to fix
  https://bugzilla.novell.com/show_bug.cgi?id=186104.  This fixes the
  way file-roller asks GtkFileChooserButton about the selected folder.
* Thu Jun 15 2006 - hpj@suse.de
- Add patch to process long file lists in multiple batches. Fixes
  Novell bug #169646.
* Tue Feb 28 2006 - sbrabec@suse.cz
- Use kdelibs3-doc in BuildRequires for meinproc (#153635#c14).
* Fri Feb 17 2006 - sreeves@suse.de
- Update .desktop file (Name, GenericName, Comment, DocPath)
* Wed Feb 01 2006 - sbrabec@suse.cz
- Use translation compendium gnome-patch-translation.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov 30 2005 - gekker@suse.de
- Update to version 2.12.2
* Wed Oct 12 2005 - gekker@suse.de
- Update to version 2.12.1
* Mon Sep 05 2005 - gekker@suse.de
- Update to version 2.12.0 (GNOME 2.12)
* Mon Aug 22 2005 - gekker@suse.de
- Update to version 2.11.92
- Add libxml2 and libxml2-python to nfb
* Thu Aug 11 2005 - gekker@suse.de
- Update to version 2.11.91
* Tue Aug 09 2005 - gekker@suse.de
- Fix requirements (98219)
* Tue Aug 02 2005 - gekker@suse.de
- Update to version 2.11.90
* Fri Jul 22 2005 - gekker@suse.de
- Update to version 2.11.2
- Remove .la files
* Fri Jun 17 2005 - gekker@suse.de
- Update to version 2.11.1
* Wed Mar 09 2005 - gekker@suse.de
- Updated to version 2.10.0 (GNOME 2.10).
* Thu Mar 03 2005 - gekker@suse.de
- Updated to version 2.9.92
* Thu Feb 10 2005 - gekker@suse.de
- Updated to version 2.9.91
* Sat Feb 05 2005 - gekker@suse.de
- Updated to 2.9.4
* Wed Jan 19 2005 - clahey@suse.de
- Updated to 2.9.3.
* Sat Oct 30 2004 - ro@suse.de
- locale rename: no -> nb
* Wed Sep 08 2004 - sbrabec@suse.cz
- Added shared mime info.
* Fri Aug 27 2004 - shprasad@suse.de
- Fixes bug #63428 (Fix givenby smadduri@novell.com)
  Avoids crashing if file-roller is closed while viewing files.
* Wed Aug 25 2004 - clahey@suse.de
- Cache file-roller help and show file-roller in khelpcenter.
* Tue Aug 17 2004 - shprasad@suse.de
- Fixes bug #60958 (Fix given by smadduri@novell.com)
  Avoids Crashing while DND of Desktop Icons (Home).
- Fixes bug #62359 (Fix given by smadduri@novell.com)
  Avoids hanging while Adding a directory to archive.
- Reworked on bug #60961 (Fix given by smadduri@novell.com)
  create unpredictible temp-dirs using mkdtemp.
* Fri Jul 16 2004 - shprasad@suse.de
- Fixes bug #60961. Fix given by (smaddri@novell.com)
  Avoides creation of predictible file names in /tmp
  while viewing in file-roller.
* Wed Jun 23 2004 - shprasad@suse.de
- Fixes bug #59941 (Fix given by smadduri@novell.com)
  Added a button for Deleting File(s)
* Wed May 05 2004 - sbrabec@suse.cz
- Updated to version 2.6.1 (GNOME 2.6).
* Wed Mar 17 2004 - sbrabec@suse.cz
- Fixed scrollkeeper calling conventions (#36215).
* Wed Mar 10 2004 - sbrabec@suse.cz
- Fixed gconf schemas installation (#33114).
* Mon Mar 01 2004 - hhetter@suse.de
- don't install schemas into buildsystem
* Wed Feb 25 2004 - hhetter@suse.de
- apply ximian patch: file-roller-ximian-defaults.patch
* Thu Feb 12 2004 - hhetter@suse.de
- gconf schema (de-)installation in %%post and %%postun
* Thu Feb 05 2004 - hhetter@suse.de
- updated to version 2.4.4 [GNOME 2.4.2]
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Mon Oct 27 2003 - sbrabec@suse.cz
- Updated to version 2.4.1.1.
* Mon Sep 29 2003 - hhetter@suse.de
- updated to version 2.4.0.1 [GNOME2.4]
* Sun Sep 14 2003 - adrian@suse.de
- add Archiving Category
* Thu Aug 07 2003 - ro@suse.de
- fix typo in filelist
* Thu Aug 07 2003 - sbrabec@suse.cz
- Not use globbing for schemas in %%files.
* Tue Jul 29 2003 - hhetter@suse.de
- %%_lib fixes
* Fri Jul 25 2003 - meissner@suse.de
- autoreconf -i -f so we get all new and shiny
  scripts, especially for ppc64.
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Wed Jul 02 2003 - hhetter@suse.de
- updated to version 2.2.5
* Thu Feb 20 2003 - sbrabec@suse.cz
- Fixed %%files.
* Thu Jan 30 2003 - hhetter@suse.de
- updated to version 2.2.1
- filelist review
- added openssl and alsa-devel to neededforbuild
- install and register schemas file
* Thu Jan 16 2003 - ro@suse.de
- use gtk2-devel-packages and libjpeg in neededforbuild
* Tue Jan 14 2003 - ro@suse.de
- added expat to neededforbuild
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <xf86 xdevel> to <x-devel-packages>
* Wed Nov 06 2002 - hhetter@suse.de
- updated to version 2.0.4
  * Faster loading of archives.
  * Recognize zip archives regardless of the file extension
* Mon Sep 23 2002 - sbrabec@suse.cz
- Added alsa to neededforbuild, because esound can depend on it.
* Tue Aug 20 2002 - hhetter@suse.de
- fix prereq
* Fri Aug 09 2002 - hhetter@suse.de
- add openssl to neededforbuild
* Wed Jul 31 2002 - hhetter@suse.de
- updated to version 2.0.0
  * fix scrollkeeper usage
  * fix filelist
  * initiate scrollkeeper update
* Wed Jul 10 2002 - hhetter@suse.de
- updated to version 1.109
  * additional option to view destination after extraction
  * documentation updates
* Mon Jul 01 2002 - hhetter@suse.de
- udpated to version 1.108
  * menus rearranged
  * correctly remove temp files
* Thu Jun 20 2002 - jordi@suse.de
- initial package for GNOME 2.0
